Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 21 May 2021 09:50:09 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I returned my item on 17th April,2021,but as per today 21st May I haven't received my refund  so far which is quite unexpected able.I already called regarding this issue three times but only thing which has been promised to me is that refund will proceed next week but which never ever happened yet.This will make me think twice before ordering from Splash.
My order Number:9650541829
ITEM:Sustainable  Solid slim fit Mid-Rise Chinos with Pocket https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2604369